Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.0.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	http://irqbalance.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	irqbalance.1
Requires(post,preun):		rpm-helper
BuildRequires:	gccmakedep
BuildRequires:	numa-devel
BuildRequires:	glib2-devel
%if %mdkversion >= 201010
BuildRequires:	libcap-ng-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q -n %{name}-%{version}
touch NEWS README AUTHORS ChangeLog

%build
./autogen.sh

%configure2_5x
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install irqbalance %{buildroot}%{_sbindir}
mkdir -p %{buildroot}{%{_initrddir},%{_sysconfdir}/sysconfig}
install %{SOURCE1} %{buildroot}%{_initrddir}/irqbalance
install %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%defattr(-,root,root)
%{_mandir}/man1/*
%{_sbindir}/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*


%changelog
* Sat Nov 05 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 721483
- version update to upstream release and little Source spec fix

* Fri Nov 04 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0-1
+ Revision: 716555
- version update to 1.0 from upstream and little spec fix for new version

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.56-2
+ Revision: 665524
- mass rebuild

* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.56-1mdv2011.0
+ Revision: 574001
- update to new version 0.56
- drop all patches, fixed by upstream
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix build on older distros

* Sun Feb 21 2010 Thierry Vignaud <tv@mandriva.org> 0.55-9mdv2010.1
+ Revision: 509301
- patch 2: fix irqbalance doing nothing (#57523, RH#433270)

* Mon Feb 15 2010 Frederic Crozat <fcrozat@mandriva.com> 0.55-8mdv2010.1
+ Revision: 506182
- Update initscript to fix rpmlint warnings
- Patch3 (Fedora): use libcap-ng

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.55-7mdv2010.0
+ Revision: 425387
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.55-6mdv2009.1
+ Revision: 351254
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.55-5mdv2009.0
+ Revision: 221643
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 13 2007 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2008.1
+ Revision: 119428
- license is not OSL but GPL
- add fedora patches: missing man page, fix for a stale PID file created by
  irqbalance --one-shot (the default on multicore CPU's with shared caches),
  compile -with -fPIE
- sync sysconfig & init scripts with fedora (thus fixing #31387)
- better description
- inline name/version/release
- use requires(post,preun) instead of prereq
- add download URL
- fix summary-ended-with-dot

* Tue May 15 2007 Olivier Blin <blino@mandriva.org> 0.55-3mdv2008.0
+ Revision: 26903
- update URL

* Tue May 15 2007 Thierry Vignaud <tv@mandriva.org> 0.55-2mdv2008.0
+ Revision: 26868
- buildrequires glib2-devel
- cleanups
- use %%mkrel
- Import irqbalance

